<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>

<body>

    <script>
        var usuarios = [{
                nome: "Diego",
                habilidades: ["Javascript", "ReactJS", "Redux"]
            },
            {
                nome: "Gabriel",
                habilidades: ["VueJS", "Ruby on Rails", "Elixir"]
            }
        ];

        function gera(users) {
            for (user of users) {
                console.log("O "+user.nome+" possui as habilidades: "+user.habilidades.join(', ')+"")
            }
        }
        gera(usuarios)
    </script>
</body>

</html>